<?php
defined('ABSPATH') or die("No script kiddies please!");
class PWHDS_show_ids {
	public function __construct() {
		add_action( 'admin_head', array( $this, 'PWHDSA_add_css' ) );
		add_filter( 'manage_edit-et_pb_layout_columns', array( $this, 'PWHDSA_add_column' ) );
		add_action( 'manage_posts_custom_column', array( $this, 'PWHDSA_add_ID' ), 10, 2 );
	}

	public function PWHDSA_add_column( $PWHDSA_columns ) {

		$PWHDSA_columns['PWHDSA_jahan_ids_dikhani_hain'] = 'Divi Shortcodes Anywhere';

		return $PWHDSA_columns;
	}

	public function PWHDSA_add_ID( $column_name, $id ) {
		if ( 'PWHDSA_jahan_ids_dikhani_hain' === $column_name ) {
			?> <font class="jo-id-show-huni-hai" style="width:75px;display:inline-block;background-color:black;padding:10px;color:white;text-align:center;border-radius:7px;cursor:pointer;" onclick="copyToClipboard('<?php echo $id ;?>')"><?php echo $id;?>
			<div class="PWHDSA-tooltip">
			<p class="tooltiptext">Click to copy full shortcode on clipboard</p></div>
			</font>
			<font class="jis-nay-copy-huna-hai" style="width:75px;display:inline-block;opacity:0;font-size:0px;" id="<?php echo $id ;?>"><?php echo '[DiviShortcodeAnyWhere id="'.$id.'"]';?></font>		
			<script src="<?php echo plugins_url()?>/DSA/includes/sweetalert.min.js"></script>
			<script>
			function copyToClipboard(id){
		  // Create a new textarea element and give it id='temp_element'
		  var textarea = document.createElement('textarea')
		  textarea.id = 'Aarzi_element'
		  // Optional step to make less noise on the page, if any!
		  textarea.style.height = 0
		  // Now append it to your page somewhere, I chose <body>
		  document.body.appendChild(textarea)
		  // Give our textarea a value of whatever inside the div of id=containerid
		  textarea.value = document.getElementById(id).innerText
		  // Now copy whatever inside the textarea to clipboard
		  var selector = document.querySelector('#Aarzi_element')
		  selector.select()
		  document.execCommand('copy')
		   swal("Copied!", "The Short Code has been copied to your clipboard Succefully", "success");
		  // Remove the textarea
		  document.body.removeChild(textarea)

			}
		</script>
			<?php
		}
	}
	public function PWHDSA_add_css() {
		?>
		<style type="text/css">
			#PWHDSA_jahan_ids_dikhani_hain {
				width: 100px;
			}
		.PWHDSA-tooltip {
				position: relative;
				display: inline-block;
			}
		.PWHDSA-tooltip .tooltiptext {
				visibility: hidden;
				width: 150px;
				background-color:#a6a6a6;
				color: #fff;
				text-align: center;
				border-radius:10px;
				padding:5px;
				/* Position the tooltip */
				position: absolute;
				z-index: 1;
				bottom: 100%;
				right:0%;
				margin-left:0px;
			}
		.jo-id-show-huni-hai:hover .tooltiptext {
				visibility: visible;
			}
		</style>
		<?php
	}
	
}
new PWHDS_show_ids;
	