<?php
/*
Plugin Name: DSA: DIVI Shortcodes AnyWhere
Plugin URI:  https://www.pakwebhouse.com/divi-shortcodes/
Description: Display any divi module inside other module , on archive pages , text widgets or even in menus.
Version:     1.0
Author:      Pak Web House
Author URI:  https://www.pakwebhouse.com
License:     GPL2

*/
defined('ABSPATH') or die("No script kiddies please!");
include "includes/shortcodes.php";
include "includes/show-id.php";
// create custom plugin settings menu
add_action('admin_menu', 'Pak_Web_house_DSA_menu_function');

function Pak_Web_house_DSA_menu_function() {

	//create new top-level menu
	add_menu_page(esc_html__('Divi Shortcodes AnyWhere' , 'DIVI' ), esc_html__('Divi Shortcodes AnyWhere' , 'DIVI' ), 'administrator','Pak-Web-House-DSA-plugin-settings', 'PWHDSA_plugin_settings_page' ,'dashicons-editor-code');
	add_submenu_page( 'Pak-Web-House-DSA-plugin-settings', esc_html__( 'Shortcodes', 'Divi' ), esc_html__( 'Shortcodes', 'Divi' ), 'manage_options', 'edit.php?post_type=et_pb_layout' );
	
}
function PWHDSA_plugin_settings_page() { 
	include "includes/settings/index.php";
		} 
?>